<?php

add_action('portfolio_one_social_icons','portfolio_one_social_icons');
if( ! function_exists('portfolio_one_social_icons')):
	function portfolio_one_social_icons(){
		
		$default 				= portfolio_one_customizer_defaults();
		$cww_icon_fb 			= get_theme_mod( 'cww_icon_fb', $default['cww_icon_fb'] );
		$cww_icon_insta 		= get_theme_mod( 'cww_icon_insta', $default['cww_icon_insta'] );
		$cww_icon_twitter       = get_theme_mod( 'cww_icon_twitter', $default['cww_icon_twitter'] );
		$cww_icon_lnkedin 		= get_theme_mod( 'cww_icon_lnkedin', $default['cww_icon_lnkedin'] );
		$cww_icon_git 			= get_theme_mod( 'cww_icon_git', $default['cww_icon_git'] );
		$cww_icon_yt 			= get_theme_mod( 'cww_icon_yt', $default['cww_icon_yt'] );

		if( $cww_icon_fb || $cww_icon_insta || $cww_icon_twitter || $cww_icon_lnkedin ){

			?>
			<div class="social-icon-wrapp">
				
				<?php if($cww_icon_fb){ ?>
				<a href="<?php echo esc_url($cww_icon_fb) ?>">
					<i class="fa-brands fa-facebook-f"></i>
				</a>
				<?php }

				if($cww_icon_insta){ ?>
				<a href="<?php echo esc_url($cww_icon_insta) ?>">
					<i class="fa-brands fa-instagram"></i>
				</a>
				<?php }

				if($cww_icon_twitter){ ?>
				<a href="<?php echo esc_url($cww_icon_twitter) ?>">
					<i class="fa-brands fa-x-twitter"></i>
				</a>
				<?php }

				if($cww_icon_lnkedin){ ?>
				<a href="<?php echo esc_url($cww_icon_lnkedin) ?>">
					<i class="fa-brands fa-linkedin-in"></i>
				</a>
				<?php }

				if($cww_icon_git){ ?>
				<a href="<?php echo esc_url($cww_icon_git) ?>">
					<i class="fa-brands fa-github"></i>
				</a>
				<?php }

				if($cww_icon_yt){ ?>
				<a href="<?php echo esc_url($cww_icon_yt) ?>">
					<i class="fa-brands fa-youtube"></i>
				</a>
				<?php } ?>



			</div>
		<?php } 
		 
	}
endif;